> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Upload (All Attributes Example)

> This endpoint returns all available attributes for the given set of transactions.

This endpoint returns **all available attributes** for the given set of transactions. Unlike the base `/Upload` endpoint, you do not need to specify which attributes you want to receive—the API will automatically calculate and return all supported attributes.

<Warning>
  <p class="h4">A note on Authorization</p>

  In order to access and use any of the /Upload endpoints, you will need a secret authorization token from Flinks. If you do not already have one, please reach out to your Flinks Representative.
</Warning>


## OpenAPI

````yaml POST /v3/{customerId}/attributes/upload/AllAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks Upload API
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/attributes/upload/AllAttributes:
    post:
      tags:
        - Upload
      summary: Upload (All Attributes Example)
      description: >-
        This endpoint returns all available attributes for the given set of
        transactions.
      operationId: uploadAllAttributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment.
        - name: Options
          in: query
          schema:
            type: array
            items:
              type: string
          description: Additional parameters that you want to include.
        - name: Origin Country
          in: query
          schema:
            type: string
            enum:
              - ca
              - us
          description: >-
            Tells the API to use a specific country model. Possible values
            include: - `ca` = Canada - `us` = United States
        - name: MostRecentBalance
          in: query
          schema:
            type: string
          description: >
            The most recent balance for all transactions. Flinks uses this
            parameter to calculate the running balance if you are not passing
            the `balance` field in your transaction set or using
            `OldestBalance`.


            If you are not using `balance` in the transaction set or
            `OldestBalance`, this parameter is required.
        - name: OldestBalance
          in: query
          schema:
            type: string
          description: >
            The oldest balance of all transactions. Flinks uses this parameter
            to calculate the running balance if you are **not** passing the
            `balance` field in your transaction set or using
            `MostRecentBalance`.


            If you are not using `balance` in the transaction set or
            `MostRecentBalance`, this parameter is required.
        - name: Transactions
          in: query
          schema:
            type: array
            items:
              type: string
          description: >-
            Contains the previously formatted transactions (defined earlier in
            this documentation) that you are uploading to Flinks.
        - name: Authorization
          in: header
          description: Bearer Token (API secret key).
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Bad Request

````